from apiflask import Schema
from apiflask.fields import String


class WechatLoginIn(Schema):
    code = String(required=True)


class WechatLoginOut(Schema):
    access_token = String()
    refresh_token = String()


class RefreshTokenIn(Schema):
    refresh_token = String(required=True)


class RefreshTokenOut(Schema):
    access_token = String()
    refresh_token = String()